﻿<h1 id="key-chains">Key Chains</h1>
<h3 id="authentication-is-a-very-important-security-measure-on-our-enterprises-control-plane-protocols-like-ntp-ospf-and-eigrp-will-use-authentication-controls-to-verify-protocols-connect-to-a-non-malicious-device-in-the-case-of-protocols-like-ntp-eigrp-and-ospf-we-can-use-key-chains-to-create-pre-shared-keys-globally-on-our-device-that-we-can-use-to-authenticate-between-protocolsdevices">Authentication is a very important security measure on our enterprises. Control plane protocols like NTP, OSPF, and EIGRP will use authentication controls to verify protocols connect to a non-malicious device. In the case of protocols like NTP, EIGRP and OSPF we can use &quot;key-chains&quot; to create Pre-Shared Keys globally on our device that we can use to authenticate between protocols/devices.</h3>
<h3 id="we-can-use-key-chains-to-authenticate-between-our-routing-protocols-and-we-can-rotate-keys-by-implementing-time-based-restrictions-our-on-psks-in-our-key-chain">We can use key-chains to authenticate between our routing protocols, and we can rotate keys by implementing time based restrictions our on PSKs, in our key-chain.</h3>
<h3 id="--in-this-how-to-we-will-configure-a-key-chain-with-different-keys-and-different-lifetime-for-the-keys-this-will-demonstrate-how-we-can-roll-keys">- In this How To we will configure a key-chain with different keys and different <strong>&quot;lifetime&quot;</strong> for the keys. This will demonstrate how we can <strong>&quot;roll&quot;</strong> keys.</h3>
<p><img src="key_chain_network_diagrams.png" alt="" /></p>
<p><code>SW1(config)#key chain DEMO</code> # This command will create the key chain and bring you into the <strong>&quot;Key Chain&quot;</strong> sub-configuration mode</p>
<p><code>SW1(config-keychain)#key 1</code> This command creates an actual key to be used to authenticate. this is creating the PSK, but is not the actuall <strong>&quot;Key&quot;</strong> or <strong>&quot;password&quot;</strong> that will be used.</p>
<p><code>SW1(config-keychain-key)#key-string [password]</code> # This command will set the actual password to be used for authentication.</p>
<p><code>SW1(config-keychain-key)#send-lifetime 00:00:00 1 Mar 2022 00:00:00 1 Sep 2022</code> # This command will set the length of time the key can be sent.</p>
<p><code>SW1(config-keychain-key)#accept-lifetime 00:00:00 1 Mar 2022 00:00:00 1 Sep 2022</code> # This command will set the length of time a key can be accepted</p>
<h3 id="full-configuration-is-shown-below">Full configuration is shown below</h3>
<p><img src="key_chain_config.png" alt="" /></p>
<h3 id="verification">Verification</h3>
<p><code>SW1#show key chain</code> # This command will show you all the globally configured key chains and there configurations.</p>
<p><img src="show_key_chain.png" alt="" /></p>
